/* 接单、派单窗口
 * @Author: Li Hanlin
 * @Date: 2022-12-05 11:13:26
 * @Last Modified by: Li Hanlin
 * @Last Modified time: 2022-12-05 14:29:57
 */

import React, { useState, useEffect } from 'react';
import InitForm from '@/components/InitForm';
const App = ({ type, id }) => {
  let columns = [];
  if (type == 'jd') {
    columns = [
      {
        title: '协助维修人员',
        dataIndex: 'repairAssistList',
        key: 'repairAssistList',
        valueType: 'select',
        options: { path: '/repair/umRepairOrder/selection', params: { id } },
      },
    ];
  } else if (type == 'pd') {
    columns = [
      {
        title: '维修人员',
        dataIndex: 'faultDescription',
        key: 'faultDescription',
        valueType: 'select',
        options: { path: '/auth/sysUser/selection' },
        formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
      },
      {
        title: '协助维修人员',
        dataIndex: 'faultDescription',
        key: 'faultDescription',
        valueType: 'select',
        options: { path: '/repair/umRepairOrder/selection', params: { id } },
      },
    ];
  }
  return (
    <>
      <InitForm
        fields={columns}
        onFinish={async (vals) => {
          console.log(vals);
          let params = {
            ...vals,
            id,
          };
          let res = await doFetch({
            url: urlParams.save,
            params,
          });
          if (res.code === '0000') {
            message.success('操作成功！');
            setDrawer((s) => ({
              ...s,
              visible: false,
            }));
            actionRef.current.reload();
          }
        }}
      />
    </>
  );
};

export default App;
